Difference between revisions of "Arch Rebar BentShape/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "{{GuiCommandAddon|Name=Arch Rebar BentShape|Name/fr=Armature cintrée|Workbenches=Arch|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|S...")
(Created page with "L'outil BentShape Rebar est également intégré dans l'atelier BIM.")
 
(89 intermediate revisions by 5 users not shown)
Line 1: Line 1:
{{GuiCommandAddon|Name=Arch Rebar BentShape|Name/fr=Armature cintrée|Workbenches=[[Arch Module/fr|Arch]]|Addon=Reinforcement|MenuLocation=Arch → Rebar tools|Shortcut=None|SeeAlso=[[Arch_Rebar_Stirrup/fr|Armature en étrier]]}}
+
<languages/>
 +
{{Docnav/fr
 +
|[[Arch_Rebar_LShape/fr|Armature en L]]
 +
|[[Arch_Rebar_Stirrup/fr|Armature en étrier]]
 +
|[[Arch_Module/fr|Atelier Arch]]
 +
|IconL=Arch_Rebar_LShape.svg
 +
|IconC=Workbench_Arch.svg
 +
|IconR=Arch_Rebar_Stirrup.svg
 +
}}
 +
 
 +
{{GuiCommand/fr
 +
|Name=Arch Rebar BentShape
 +
|Name/fr=Arch Rebar Armature cintrée
 +
|MenuLocation=Arch → Rebar tools → Bent-Shape Rebar ou 3D/BIM → Reinforcement → Bent-Shape Rebar
 +
|Workbenches=[[Arch_Workbench/fr|Arch]], [[BIM_Workbench/fr|BIM]]
 +
|SeeAlso=[[Reinforcement_Workbench|Reinforcement]], [[Arch_Rebar/fr|Arch Armature personnalisée]], [[Arch_Rebar_Stirrup/fr|Arch Armature en étrier]],
 +
|Version=0.17
 +
}}
  
 
==Description==
 
==Description==
  
The {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Bent Shape Rebar}} tool allows user to create a bent shape reinforcing bar in the structural element.
+
L'outil [[Arch_Rebar_BentShape/fr|Rebar Armature cintrée]] permet à l'utilisateur de créer un ensemble de barres d'armature pliées à l'intérieur d'un objet [[Arch_Structure/fr|Structure]].
  
[[Image:BentShapeRebar.png|800px]]
+
L'outil [[Arch_Rebar_BentShape/fr|BentShape Rebar]] est également intégré dans l'[[BIM_Workbench/fr|atelier BIM]].
  
==How to use==
+
Cette commande fait partie de l'[[Reinforcement_Workbench/fr|atelier Reinforcement]], un [[External_workbenches/fr|atelier externe]] que vous pouvez installer avec [[Image:AddonManager.svg|24px]] [[Addon_Manager/fr|Addon Manager]] via le menu {{MenuCommand|Outils → Gestionnaire d'Addon → Reinforcement}}.
  
# Create a [[Arch Structure|structure]] element
+
[[Image:Arch_Rebar_BentShape_example.png|400px]]
# Select any face of the structure
+
{{Caption|Deux jeux de barres de ferraillage pliées à l'intérieur d'une [[Arch Structure/fr|Structure]]}}
# Then select  {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Bent Shape Rebar}} from the rebar tools
 
# A task panel will pop-out on the left side of the screen as shown below [[Image:BentShapeDialog.png|250px]]
 
# Select the desired orientation
 
# Give the inputs like front cover, left cover, right cover, bottom cover, top cover, anchor length, bent angle, rounding and diameter of the rebar
 
# Select the mode of distribution either amount or spacing
 
# If spacing is selected, a user can also opt for [[Custom_Spacing|custom spacing]]
 
# Pick selected face is used to verify or change the face for rebar distribution
 
# Click {{KEY|OK}} or {{KEY|Apply}} to generate the rebars
 
# Click {{KEY|Cancel}} to exit the task panel
 
  
==Properties==  
+
==Utilisation==
  
* {{PropertyData|Orientation}}: It decides the orientation of the rebar (like a bottom, top, right and left).
+
# Sélectionnez n’importe quelle face d’un objet {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure/fr|Arch Structure]]}}.
* {{PropertyData|Front Cover}}: The distance between rebar and selected face.
+
# Ensuite, sélectionnez {{Button|[[Image:Arch_Rebar_BentShape.svg|16px]] [[Arch Rebar BentShape/fr|Arch Armature cintrée]]}} à partir des outils de barres d'armature.
* {{PropertyData|Left Cover}}: The distance between the left end of the rebar to the left face of the structure.
+
# Un [[Task_Panel/fr|Panneau des tâches]] apparaîtra sur le côté gauche de l'écran, comme indiqué ci-dessous.
* {{PropertyData|Right Cover}}: The distance between the right end of the rebar to right face of the structure.
+
# Sélectionnez l'orientation souhaitée.
* {{PropertyData|Bottom Cover}}: The distance between rebar from the bottom face of the structure.
+
# Remplissez les entrées telles que 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' et 'Diameter' of the rebar.
* {{PropertyData|Top Cover}}: The distance between rebar from the top face of the structure.
+
# Sélectionnez le mode de distribution 'Amount' ou 'Spacing'.
* {{PropertyData|Anchor Length}}: It is the arm's length of bent shape rebar.
+
#* Si 'Spacing' est sélectionné, un utilisateur peut également opter pour [[Custom_Spacing/fr|espacement personnalisé]].
* {{PropertyData|Bent Angle}}: It decides angle in bent shape rebar.
+
# {{Button|Pick Selected Face}} (choisir la face sélectionnée) est utilisé pour vérifier ou modifier la face pour la distribution des barres.
* {{PropertyData|Amount}}: The amount of rebars.
+
# Cliquez sur {{Button|OK}} ou {{Button|Apply}} pour générer les barres.
* {{PropertyData|Spacing}}: The distance between the axes of each bar.
+
# Cliquez sur {{Button|Cancel}} pour quitter le panneau de tâches.
  
==Scripting==
+
:[[Image:BentShapeDialog.png|250px]]
 +
{{Caption|Panneau de tâches pour l'outil Armature cintrée}}
  
The {{KEY|[[Image:Arch_Rebar_BentShape.png|16px]] Bent Shape Rebar}} tool can by used in [[macros]] and from the python console by using the following function:
+
==Propriétés==
  
 +
* {{PropertyData/fr|Orientation}}: Il définit  l'orientation de l'armature (comme fond, haut, droite et gauche).
 +
* {{PropertyData/fr|Front Cover}}: La distance entre l'armature et la face sélectionnée.
 +
* {{PropertyData/fr|Left Cover}}: La distance entre l'extrémité gauche de l'armature et la face gauche de la structure.
 +
* {{PropertyData/fr|Right Cover}}: La distance entre l'extrémité droite de l'armature et la face droite de la structure.
 +
* {{PropertyData/fr|Bottom Cover}}: La distance entre l'armature et la face inférieure de la structure.
 +
* {{PropertyData/fr|Top Cover}}: La distance entre l'armature et la face supérieure de la structure.
 +
* {{PropertyData/fr|Anchor Length}}: Il s'agit de la longueur de la forme courbée de l'armature .
 +
* {{PropertyData/fr|Bent Angle}}: Il définit l'angle de cintrage de l'armature.
 +
* {{PropertyData/fr|Amount}}: La quantité de barres d'armature.
 +
* {{PropertyData/fr|Spacing}}: La distance entre les axes de chaque barre.
 +
 +
==Script==
 +
{{Emphasis|Voir aussi:}} [[Arch API/fr|Arch API]] et [[FreeCAD Scripting Basics/fr|FreeCAD Scripts de Base]].
 +
 +
L'outil Armature cintrée peut être utilisé dans une [[macros/fr|macro]] et à partir de la console [[Python/fr|Python]] à l'aide de la fonction suivante:
 
{{Code|code=
 
{{Code|code=
makeBentShapeRebar(FrontCover, BottomCover, LeftCover, RightCover, Diameter, TopCover, BentLength, BentAngle, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
+
Rebar = makeBentShapeRebar(f_cover, b_cover, l_cover, r_cover,
 +
                          diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
 +
                          structure=None, facename=None)
 
}}
 
}}
  
* The Bent Shape Rebar have four different orientations:
+
* Crée un objet {{incode|Rebar}} à partir de la {{incode|structure}} donnée qui est une [[Arch Structure]] et {{incode|facename}} qui est une face de cette structure.
** Bottom
+
** Si aucun {{incode|structure}} ni {{incode|facename}} n'est donné, la face sélectionnée par l'utilisateur sera entrée.
** Top
+
* {{incode|f_cover}}, {{incode|b_cover}}, {{incode|l_cover}}, {{incode|r_cover}}, et {{incode|t_cover}} sont des distances de décalage internes pour les éléments d'armature avec respect des faces de la structure. Ce sont respectivement les décalages avant, inférieur, gauche, droit et supérieur.
** Left
+
* {{incode|diameter}} est le diamètre des barres de renforcement à l'intérieur de la structure.
** Right
+
* {{incode|rounding}} est le paramètre qui détermine le rayon de courbure des barres d'armature centrales.
* Adds a Bent Shape reinforcing bar object to the given structural object.
+
* {{incode|bentLength}} et {{incode|bentAngle}} définissent la longueur de la pointe des barres d'armature et l'angle de flexion à partir des barres centrales.
* If no Structure and Facename is given, it will take user selected face as input.
+
* {{incode|amount_spacing_check}} s'il est {{incode|True}}, il créera autant de barres de ferraillage que celles données par {{incode|amount_spacing_value}}; s'il est {{incode|False}}, il créera des barres de renforcement séparées par la valeur numérique de {{incode|amount_spacing_value}}.
* Here CoverAlong argument is having type tuple.  
+
* {{incode|amount_spacing_value}} spécifie le nombre de barres d'armature ou la valeur de la distance qui les sépare en fonction de {{incode|amount_spacing_check}}.
* Returns the new Rebar object.
+
* {{incode|orientation}} spécifie l'orientation de la barre. Il peut s'agir de {{incode|"Bottom"}}, {{incode|"Top"}}, {{incode|"Left"}}, ou {{incode|"Right"}}.
  
Example:
+
=== Exemples ===
Creating Bent Shape rebar.
 
 
{{Code|code=
 
{{Code|code=
import Arch, BentShapeRebar
+
import FreeCAD, Arch, BentShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=100.0)
+
 
structure.ViewObject.Transparency = 80
+
Structure = Arch.makeStructure(length=1000, width=1000, height=100)
 +
Structure.ViewObject.Transparency = 80
 
FreeCAD.ActiveDocument.recompute()
 
FreeCAD.ActiveDocument.recompute()
rebar = BentShapeRebar.makeBentShapeRebar(20, 20, 20, 20, 8, 20, 100, 135, 2, True, 10, "Bottom", structure, "Face1")
+
 
 +
Rebar = BentShapeRebar.makeBentShapeRebar(50, 20, 20, 20,
 +
                                          8, 40, 100, 135, 2, True, 4, "Bottom", Structure, "Face4")
 +
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)
 +
 
 +
Rebar2 = BentShapeRebar.makeBentShapeRebar(50, 40, 20, 20,
 +
                                          8, 20, 100, 135, 2, True, 4, "Bottom", Structure, "Face6")
 +
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)  
 
}}
 
}}
  
Changing properties of Bent Shape rebar.
+
=== Modifier la barre ===
 +
 
 +
Vous pouvez changer les propriétés de la barre d’armature avec la fonction suivante:
 +
 
 +
{{Code|code=
 +
editBentShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
 +
                  diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation,
 +
                  structure=None, facename=None)
 +
}}
 +
 
 +
* {{incode|Rebar}} est un objet {{incode|BentShapeRebar}} créé précédemment.
 +
* Les autres paramètres sont les mêmes que ceux requis par la fonction {{incode|makeBentShapeRebar()}}.
 +
* {{incode|structure}} et {{incode|facename}} peuvent être omis afin que l'armature reste dans la structure d'origine.
 +
 
 
{{Code|code=
 
{{Code|code=
 
import BentShapeRebar
 
import BentShapeRebar
BentShapeRebar.editBentShapeRebar(rebar, 50, 50, 50, 50, 12, 20, 100, 135, 2, True, 10, "Top")
+
 
 +
BentShapeRebar.editBentShapeRebar(Rebar, 50, 20, 20, 20,
 +
                                  12, 20, 100, 155, 2, True, 6, "Top")
 +
 
 +
BentShapeRebar.editBentShapeRebar(Rebar2, 50, 35, 20, 20,
 +
                                  12, 35, 100, 155, 2, True, 6, "Top")
 
}}
 
}}
  
 +
{{docnav/fr
 +
|[[Arch_Rebar_LShape/fr|Armature en L]]
 +
|[[Arch_Rebar_Stirrup/fr|Armature en étrier]]
 +
|[[Arch_Module/fr|Atelier Arch]]
 +
|IconL=Arch_Rebar_LShape.svg
 +
|IconC=Workbench_Arch.svg
 +
|IconR=Arch_Rebar_Stirrup.svg
 +
}}
  
{{clear}}
+
{{Arch Tools navi{{#translation:}}}}
<languages/>
+
 
 +
{{Userdocnavi{{#translation:}}}}
 +
 
 +
[[Category:Reinforcement{{#translation:}}]]

Latest revision as of 11:47, 28 September 2020

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Page précédente : Arch Rebar LShape.svg Armature en L
Page suivante : Armature en étrier Arch Rebar Stirrup.svg Arrow-right.svg

Arch Rebar BentShape.svg Arch Rebar Armature cintrée

Emplacement du menu
Arch → Rebar tools → Bent-Shape Rebar ou 3D/BIM → Reinforcement → Bent-Shape Rebar
Ateliers
Arch, BIM
Raccourci par défaut
Aucun
Introduit dans la version
0.17
Voir aussi
Reinforcement, Arch Armature personnalisée, Arch Armature en étrier,


Description

L'outil Rebar Armature cintrée permet à l'utilisateur de créer un ensemble de barres d'armature pliées à l'intérieur d'un objet Structure.

L'outil BentShape Rebar est également intégré dans l'atelier BIM.

Cette commande fait partie de l'atelier Reinforcement, un atelier externe que vous pouvez installer avec AddonManager.svg Addon Manager via le menu Outils → Gestionnaire d'Addon → Reinforcement.

Arch Rebar BentShape example.png

Deux jeux de barres de ferraillage pliées à l'intérieur d'une Structure


Utilisation

  1. Sélectionnez n’importe quelle face d’un objet Arch Structure.svg Arch Structure.
  2. Ensuite, sélectionnez Arch Rebar BentShape.svg Arch Armature cintrée à partir des outils de barres d'armature.
  3. Un Panneau des tâches apparaîtra sur le côté gauche de l'écran, comme indiqué ci-dessous.
  4. Sélectionnez l'orientation souhaitée.
  5. Remplissez les entrées telles que 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' et 'Diameter' of the rebar.
  6. Sélectionnez le mode de distribution 'Amount' ou 'Spacing'.
  7. Pick Selected Face (choisir la face sélectionnée) est utilisé pour vérifier ou modifier la face pour la distribution des barres.
  8. Cliquez sur OK ou Apply pour générer les barres.
  9. Cliquez sur Cancel pour quitter le panneau de tâches.
BentShapeDialog.png

Panneau de tâches pour l'outil Armature cintrée


Propriétés

  • DonnéesOrientation: Il définit l'orientation de l'armature (comme fond, haut, droite et gauche).
  • DonnéesFront Cover: La distance entre l'armature et la face sélectionnée.
  • DonnéesLeft Cover: La distance entre l'extrémité gauche de l'armature et la face gauche de la structure.
  • DonnéesRight Cover: La distance entre l'extrémité droite de l'armature et la face droite de la structure.
  • DonnéesBottom Cover: La distance entre l'armature et la face inférieure de la structure.
  • DonnéesTop Cover: La distance entre l'armature et la face supérieure de la structure.
  • DonnéesAnchor Length: Il s'agit de la longueur de la forme courbée de l'armature .
  • DonnéesBent Angle: Il définit l'angle de cintrage de l'armature.
  • DonnéesAmount: La quantité de barres d'armature.
  • DonnéesSpacing: La distance entre les axes de chaque barre.

Script

Voir aussi: Arch API et FreeCAD Scripts de Base.

L'outil Armature cintrée peut être utilisé dans une macro et à partir de la console Python à l'aide de la fonction suivante:

Rebar = makeBentShapeRebar(f_cover, b_cover, l_cover, r_cover,
                           diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation="Bottom",
                           structure=None, facename=None)
  • Crée un objet Rebar à partir de la structure donnée qui est une Arch Structure et facename qui est une face de cette structure.
    • Si aucun structure ni facename n'est donné, la face sélectionnée par l'utilisateur sera entrée.
  • f_cover, b_cover, l_cover, r_cover, et t_cover sont des distances de décalage internes pour les éléments d'armature avec respect des faces de la structure. Ce sont respectivement les décalages avant, inférieur, gauche, droit et supérieur.
  • diameter est le diamètre des barres de renforcement à l'intérieur de la structure.
  • rounding est le paramètre qui détermine le rayon de courbure des barres d'armature centrales.
  • bentLength et bentAngle définissent la longueur de la pointe des barres d'armature et l'angle de flexion à partir des barres centrales.
  • amount_spacing_check s'il est True, il créera autant de barres de ferraillage que celles données par amount_spacing_value; s'il est False, il créera des barres de renforcement séparées par la valeur numérique de amount_spacing_value.
  • amount_spacing_value spécifie le nombre de barres d'armature ou la valeur de la distance qui les sépare en fonction de amount_spacing_check.
  • orientation spécifie l'orientation de la barre. Il peut s'agir de "Bottom", "Top", "Left", ou "Right".

Exemples

import FreeCAD, Arch, BentShapeRebar

Structure = Arch.makeStructure(length=1000, width=1000, height=100)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = BentShapeRebar.makeBentShapeRebar(50, 20, 20, 20,
                                          8, 40, 100, 135, 2, True, 4, "Bottom", Structure, "Face4")
Rebar.ViewObject.ShapeColor = (0.9, 0.0, 0.0)

Rebar2 = BentShapeRebar.makeBentShapeRebar(50, 40, 20, 20,
                                           8, 20, 100, 135, 2, True, 4, "Bottom", Structure, "Face6")
Rebar2.ViewObject.ShapeColor = (0.0, 0.0, 0.9)

Modifier la barre

Vous pouvez changer les propriétés de la barre d’armature avec la fonction suivante:

editBentShapeRebar(Rebar, f_cover, b_cover, l_cover, r_cover,
                   diameter, t_cover, bentLength, bentAngle, rounding, amount_spacing_check, amount_spacing_value, orientation,
                   structure=None, facename=None)
  • Rebar est un objet BentShapeRebar créé précédemment.
  • Les autres paramètres sont les mêmes que ceux requis par la fonction makeBentShapeRebar().
  • structure et facename peuvent être omis afin que l'armature reste dans la structure d'origine.
import BentShapeRebar

BentShapeRebar.editBentShapeRebar(Rebar, 50, 20, 20, 20,
                                  12, 20, 100, 155, 2, True, 6, "Top")

BentShapeRebar.editBentShapeRebar(Rebar2, 50, 35, 20, 20,
                                  12, 35, 100, 155, 2, True, 6, "Top")
Arrow-left.svg Page précédente : Arch Rebar LShape.svg Armature en L
Page suivante : Armature en étrier Arch Rebar Stirrup.svg Arrow-right.svg